<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>
    <xsl:template match="/">
        <xsl:apply-templates/>
    </xsl:template>

  <!-- 
    Template for caption 
    -->
  <xsl:template name="caption" match="caption">
    <div class="caption t3sg">
      <br/>
      <xsl:value-of select="."/>
      </div>
  </xsl:template>

  <!-- 
    Template for paragraph 
    -->
  <xsl:template name="paragraph" match="paragraph">
    <div class="paragraph t3lsg">
      <xsl:value-of select="."/>
    </div>
  </xsl:template>

  <!-- 
    Template for subcaption 
    -->
  <xsl:template name="subcaption" match="subcaption">
    <div class="subcaption t3lsg">
      <br/>
      <xsl:value-of select="."/>
    </div>
  </xsl:template>

  <!-- 
    Template for list 
    -->
  <xsl:template name="list" match="list">
    <ul class="list">
      <xsl:for-each select="listentry">
        <li class="listentry t3lsg">
          <xsl:value-of select="."/>
        </li>
      </xsl:for-each>
    </ul>
  </xsl:template>

  <!-- 
    Template for link 
    -->
  <xsl:template name="link" match="link">
    <div class="link t3lsg">
      <xsl:value-of select="."/>
    </div>
  </xsl:template>
  
  <xsl:template name="licenseTemplate" match="licenseTemplate" >
    <xsl:copy-of select="node()"/>
  </xsl:template>

</xsl:stylesheet>
